const package = require('./package');
const { exec } = require('child_process');
const { writeFileSync } = require('fs');

function main() {
  exec('npm info bee-ui', (err, stdout, stderr) => {
    if (err) return;
    publish(eval("(" + stdout + ")").version);
  });
}

function publish(version) {
  if (version === package.version) {
    return publishNightly(version);
  }

  exec('npm publish', (err, stdout, stderr) => {
    if (err) return;
    publishNightly(package.version);
  });
}

function publishNightly(version) {
  package.version = [version, createTimestamp()].join('-');
  writeFileSync('./package.json', JSON.stringify(package, null, 2));
  const child = exec('npm publish --tag=nightly', (err, stdout, stderr) => {
    console.log(stdout);
  });
}

function createTimestamp() {
  // YYYYMMDDHHMM
  const d = new Date();
  return [
    d.getUTCFullYear(), // YYYY
    ('0' + (d.getUTCMonth() + 1)).slice(-2), // MM
    ('0' + (d.getUTCDate())).slice(-2), // DD
    ('0' + (d.getUTCHours())).slice(-2), // HH
    ('0' + (d.getUTCMinutes())).slice(-2) // MM
  ].join('');
}

main();
