import React, {
  PropTypes,
} from 'react';

import {
  Text, View,
} from 'react-native';

function Checkbox({
  checked,
}) {
  return (
    <View style={Checkbox.Style[checked ? 'active' : 'normal']}>
      {checked && (
        <View style={Checkbox.Style.check} />
      )}
    </View>
  );
}

Checkbox.propTypes = {
  checked: PropTypes.bool,
};

Checkbox.defaultProps = {
  checked: false,
};

Checkbox.Style = {
  normal: {
    width: 16,
    height: 16,
    borderRadius: 8,
    borderWidth: 1,
    borderColor: '#9c9c9c',
  },
  active: {
    width: 16,
    height: 16,
    backgroundColor: '#fc5100',
    borderRadius: 8,
    alignItems: 'center',
    justifyContent: 'center',
  },
  check: {
    width: 9,
    height: 6,
    borderLeftWidth: 1,
    borderBottomWidth: 1,
    borderColor: '#fff',
    transform: [
      { translateY: -2 },
      { rotate: '-44deg' },
    ],
  },
};

export default Checkbox;
