
### `Layout/ Flex` 组件

> 使用时请注意flex属性顺序 `justifyContent alignItems alignSelf`

支持属性：
> flex: `/\d/`    
flexDirection: `/(row(?!-)|row-reverse|column(?!-)|column-reverse)/`     
flexWrap: `/(wrap|nowrap)/`     
justifyContent: `/(flex-start|flex-end|center|space-between|space-around)/`     
alignItems: `/(flex-start|flex-end|center|stretch)/`      
alignSelf: `/(auto|flex-start|flex-end|center|stretch)/`    


*注意* `style` 中 `Flex` 相关属性会覆盖掉 `flex` 设置属性

| 参数名称 | 描述 | 类型 | 默认值|
|---|---|---|---|
| flex | 提供了类似`css`缩写方式快捷设置 `Flex` 属性 | `String` | `1 row` |
| View.PropTypes | 完全支持`View`属性 | `View.PropTypes` | `--` |

```jsx
  static propTypes = {
    //内部element元素
    children: PropTypes.oneOfType([PropTypes.element, PropTypes.array]),
    //[必须按顺序传递,值不能为空]flex属性
    flex: PropTypes.oneOfType([PropTypes.string, PropTypes.number]),
  }
```

```jsx
  static defaultProps = {
    children: null,
    flex: '1 row',
  }
```
