import React from 'react';
import Origin from 'react-native-image-gallery';
import TransformableImage from 'react-native-transformable-image';

class ReactNativeImageGallery extends Origin {
  // 复写 onTransformGestureReleased
  renderPage(pageData, pageId, layout) {
    const { onViewTransformed, onTransformGestureReleased, loader, ...other } = this.props;
    const loaded = this.state.imagesLoaded[pageId] && this.state.imagesLoaded[pageId] === true;
    const loadingView = !loaded && loader ? loader : false;
    return (
      <TransformableImage
        {...other}
        onLoad={evt => this.onLoad(pageId, pageData.source)}
        onTransformGestureReleased={() => true}
        ref={ref => this.imageRefs.set(pageId, ref)}
        key={`innerImage#${pageId}`}
        style={{ width: layout.width, height: layout.height }}
        source={pageData.source}
        pixels={this.state.imagesDimensions[pageId] || pageData.dimensions || pageData.dimensions || {}}
      >
        { loadingView }
      </TransformableImage>
    );
  }
}

export default ReactNativeImageGallery;
