import React, {
  PropTypes,
} from 'react';

import {
  Text,
} from 'react-native';

function StringToText(props) {
  const { children } = props;
  if (typeof children === 'string') {
    return <Text {...props} />;
  }
  return children;
}

StringToText.propTypes = {
  children: PropTypes.oneOfType([
    PropTypes.element,
    PropTypes.string,
  ]),
};
StringToText.defaultProps = {
  children: null,
};

StringToText.isText = text => typeof text === 'string' || text.type === Text;

export default StringToText;
