## Select 选择器


### 基础版
```jsx
<Select
  options={[
    "选项一", "选项二", "选项三", "选项四", "选项五", "选项六",
  ]}
  value={basicValue}
  onChange={value => setBasicValue(value)}
/>
```


### 独立取值
```jsx
<Select
  options={[
    { label: '显示一', value: '值一' },
    { label: '显示二', value: '值二' },
    { label: '显示三', value: '值三' },
    { label: '显示四', value: '值四' },
    { label: '显示五', value: '值五' },
  ]}
  value={basicValue}
  onChange={value => setMultiValue(value)}
/>
```


### 多选
```jsx
<Select
  multiple
  options={[
    "选项一", "选项二", "选项三", "选项四", "选项五", "选项六",
  ]}
  value={multiValue}
  onChange={value => setMultiValue(value)}
/>
```


### 文本样式
```jsx
<Select value={textValue} onChange={value => setTextValue(value)}>
  <Text style={{ lineHeight: 30 }} value="文本一">文本一</Text>
  <Text style={{ lineHeight: 30 }} value="文本二">文本二</Text>
  <Text style={{ lineHeight: 30 }} value="文本三">文本三</Text>
  <Text style={{ lineHeight: 30 }} value="文本四">文本四</Text>
  <Text style={{ lineHeight: 30 }} value="文本五">文本五</Text>
</Select>
```


### 自定义
> `Option` 要根据被传递的 `selected` 属性实现相应的样式
```jsx
<Select value={customValue} onChange={value => setCustomValue(value)}>
  <Option value="自定义一">自定义一</Option>
  <Option value="自定义二">自定义二</Option>
  <Option value="自定义三">自定义三</Option>
  <Option value="自定义四">自定义四</Option>
  <Option value="自定义五">自定义五</Option>
</Select>
```
